﻿namespace HeuristicLab.Problems.ProgramSynthesis.Base.Erc.String {

  using HeuristicLab.Common;
  using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

  [StorableClass]
  public class StringErcOptions : ErcOption<string> {
    public StringErcOptions() { }
    public StringErcOptions(params IWeightedErcValueItem<string>[] values) : base(true, values) { }
    public StringErcOptions(bool isEnabled, params IWeightedErcValueItem<string>[] values) : base(isEnabled, values) { }

    [StorableConstructor]
    public StringErcOptions(bool deserializing) : base(deserializing) { }

    public StringErcOptions(StringErcOptions origin, Cloner cloner) : base(origin, cloner) { }

    public override IDeepCloneable Clone(Cloner cloner) {
      return new StringErcOptions(this, cloner);
    }
  }
}
